Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Attributes | List of all members
peripheral::PackageInfo Struct Reference

Peripheral device package information. More...

## Classes
struct | FirmwareInfo
struct | HardwareInfo

## Public Types
enum | State { NORMAL , FW_UPDATE , INTERNAL_ERROR , CONFIG_ERROR }

## Public Attributes
State | state
| The peripheral device package operational state.
vector< PosElement > | position
| Position within 1-wire topo.
HardwareInfo | hwInfo
| Device package hardware specific information.
FirmwareInfo | fwInfo
| Device package firmware specific information.

## Detailed Description

Peripheral device package information.

## Member Enumeration Documentation

## ◆ State

enum peripheral::PackageInfo::State

Enumerator
NORMAL | Device package is in normal operation.
FW_UPDATE | Device package's firmware is being updated.
INTERNAL_ERROR | Device package's internal error flag is set.
CONFIG_ERROR | Device package's internal configuration is invalid.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl